Bug 86574 - graphics/gd doesn't install gdlib-config
Summary: graphics/gd doesn't install gdlib-config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-26 04:20 UTC by Matthieu Michaud
Modified: 2005-09-28 05:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Michaud 2005-09-26 04:20:11 UTC
the Makefile rewritten by the port maintainer doesn't build the gdlib-config file.

Fix: 

complete graphics/gd/files/Makefile.bsd to do that thing too or rewrite port to not override the classical use of the configure script provided.
How-To-Repeat: install graphics/gd port, try to exec gdlib-config as the ./configure of some other port i want to build do and see it's missing (you may think  /usr/local/bin is not in my PATH but you're wrong :D)
Comment 1 Marcus Alves Grando freebsd_committer 2005-09-26 04:23:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer.
Comment 2 Dirk Meyer freebsd_committer 2005-09-26 11:34:23 UTC
State Changed
From-To: open->feedback



This script you want to uses hardly generates a usefull output. 

$ sh gdlib-config --all 
GD library  2.0.33 
includedir: /usr/local/include 
cflags:     -I/usr/local/include 
ldflags:     -L/usr/local/lib -Wl,--rpath -Wl,/usr/local/lib  -L/usr/X11R6/lib 
libs:       -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lz -lm  /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib 
libdir:     /usr/local/lib 
features:   GD_XPM GD_JPEG GD_FONTCONFIG GD_FREETYPE GD_GIF 

Please supply examples of programs that will benefit from installation of this file.
Comment 3 Dirk Meyer freebsd_committer 2005-09-27 09:47:27 UTC
State Changed
From-To: feedback->closed

file is genertated by the port Makefile, 
as the distributed version has defuntional data. 
Description and Value do not match, 
we gernerate Values that maches the description 
and are usefull in port enviroment.
Comment 4 dirk.meyer 2005-09-28 05:26:48 UTC
oHmEr schrieb:,

> > State-Changed-From-To: feedback->closed
> > State-Changed-By: dinoex
> > State-Changed-When: Tue Sep 27 10:47:27 CEST 2005
> > State-Changed-Why: 
> > file is genertated by the port Makefile,
> 
> no gdlib-config is generated.

I see in my build log now:
===>  Installing for gd-current-2.0.33_1,1
[...]
install -c -o root -g wheel -m 555 /image/usr/ports/current/gd/work/gdlib-config /usr/local/bin/
[...]
===>   Registering installation for gd-current-2.0.33_1,1

Please verfiy you have updated your ports.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]